# -*- mode: rpm-spec; coding: utf-8 -*-
%define _tcl_lib_path %_datadir/%name

Name: gorilla
Version: 1.4
Release: alt6

Summary: Password gorilla is simple but powerful password manager writen in tcl/tk
License: GPL2
Group: Databases
Url: http://www.fpx.de/fp/Software/Gorilla
BuildArch: noarch

Requires: bwidget tcl-incrtcl tcllib
Packager: Evgenii Terechkov <evg@altlinux.org>

Source: %name-%version.tar.gz
Patch1: %name-1.4-fonts.patch

BuildPreReq: rpm-build-tcl
BuildRequires: tk

%description
Password gorilla is simple but powerful password manager writen in tcl/tk

%prep
%setup
%patch1 -p1

%build
%__autoreconf
%configure --with-wish=%_bindir/wish

%install
%__chmod ugo-x blowfish/* pwsafe/* sha1/* twofish/* *.tcl *.txt

# Menu support
%__mkdir_p %buildroot%_menudir

cat > %buildroot%_menudir/%name << EOF
?package(%name): needs=x11 icon="%name.gif" section="Applications/Databases"  title=Gorilla longtitle="Gorilla password manager" command=%name
EOF

%__mkdir_p %buildroot%_bindir
%__subst 's|%name.tcl|%_datadir/%name/%name.tcl|;s|wish8.4|wish|' %name
%__install %name %buildroot%_bindir

%__mkdir_p %buildroot%_datadir/%name
%__subst 's|sha1 blowfish twofish pwsafe|%_datadir/%name/sha1 %_datadir/%name/blowfish %_datadir/%name/twofish %_datadir/%name/pwsafe|;s|isaac.tcl|%_datadir/%name/isaac.tcl|;s|wish8.4|wish|;s|tclsh84|tclsh|' %name.tcl twofish/twotest.tcl pwsafe/pwtest.tcl

%__perl -i -walpe's|^(.*ShowTextFile.+".+" ")(.+)(".?)$|$1%_defaultdocdir/%name-%version/$2$3|' %name.tcl

%__install %name.tcl %buildroot%_datadir/%name
%__install isaac.tcl %buildroot%_datadir/%name

%__cp -vr sha1 %buildroot%_datadir/%name
%__cp -vr blowfish %buildroot%_datadir/%name
%__cp -vr twofish %buildroot%_datadir/%name
%__cp -vr pwsafe %buildroot%_datadir/%name

%__mkdir_p %buildroot%_niconsdir
%__mkdir_p %buildroot%_miconsdir
%__mkdir_p %buildroot%_liconsdir

%__install pics/%name-32x32.gif %buildroot%_niconsdir/%name.gif
%__install pics/%name-16x16.gif %buildroot%_miconsdir/%name.gif
%__install pics/%name-48x48.gif %buildroot%_liconsdir/%name.gif

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_datadir/%name
%_menudir/%name
%_niconsdir/%name.gif
%_miconsdir/%name.gif
%_liconsdir/%name.gif

%doc *.txt

%changelog
* Fri Jan  4 2008 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt6
- Russian translation removed from spec (Specpo)
- s/wish8.4/wish/;s/tclsh84/tclsh/ to work with system versions of wish and tclsh
- Licence changed to gpl2

* Mon May 21 2007 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt5
- Encoding for Russian Description and Summary fixed
- Spec changed to provide included packages
- Spell-check spec

* Thu Jan 25 2007 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt4
- Patch1 updated to fix adding logins
- Spec converted in utf-8 + small sleanups

* Thu Jan  4 2007 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt3
- Patch1 added. It fixes some Xresources-fonts ignoring.

* Sat Dec  2 2006 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt2
- Spec changed according menu packaging policy (icons)

* Sat Sep 23 2006 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt1
- Build for Sisyphus

* Mon Aug 21 2006 Terechkov Evgenii <evg@altlinux.ru> 1.4-alt0.C30.1
- Initial build for C30

* Sun Jul  9 2006 Evgenii Terechkov <evg@altlinux.ru> 1.4-alt0.M24.1
- 1.4
- Arg parsing patch removed (fixed in upstream)

* Thu May 25 2006 Evgenii Terechkov <evg@altlinux.ru> 1.3-alt0.M24.2
- Bugs with about and help dialogs fixed
- Small spec cleanups for Sisyphus

* Sun May 21 2006 Evgenii Terechkov <evg@altlinux.ru> 1.3-alt0.M24.1
- Initial build for ALT
